Skip to main content
POST
JavaScript

Authorizations

Authorization
string
header
required

Enter your API Key in the format: Bearer . Get it from https://gbox.ai

Path Parameters

boxId
string
required

Box ID

Example:

"c9bdc193-b54b-4ddb-a035-5ac0c598d32d"

Body

application/json

Live view configuration

expiresIn
string
default:180m

The live view will be alive for the given duration

Supported time units: ms (milliseconds), s (seconds), m (minutes), h (hours) Example formats: "500ms", "30s", "5m", "1h" Default: 180m

Example:

"180m"

Response

201 - application/json

Generate pre-signed live view url

Live view result

url
string
required

Live view url with Gbox interface and basic information, typically used for real-time observation of box usage status

Example:

"https://gbox.ai/share/live-view/tmp_xxxxxxx"

rawUrl
string
required

Raw live view url without additional layout content, typically used for embedding into your own application

Example:

"https://gbox.ai/share/live-view/tmp_xxxxxxx/raw"